%global packname  BiocParallel

Name:             R-%{packname}
Version:          1.10.1
Release:          2%{?dist}
Summary:          Bioconductor facilities for parallel evaluation
Group:            Applications/Productivity
License:          GPLv2 or GPLv3
URL:              http://www.bioconductor.org/packages/release/bioc/html/BiocParallel.html
Source0:          http://www.bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
Requires:         R-core >= 3.0.0, texlive-latex, R-stats, R-utils, R-futile.logger, R-parallel, R-snow, R-methods
BuildRequires:    R-devel >= 3.0.0, R-stats, R-utils, R-futile.logger, R-parallel, R-snow, R-methods
BuildArch:        noarch

%description
This package provides modified versions and novel implementation of functions 
for parallel evaluation, tailored to use with Bioconductor objects.

%prep
%setup -c -q -n %{packname}
chmod -x BiocParallel/inst/snow/RMPInode.R

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
# All sorts of missing Suggests prevents this from working.
# %%{_bindir}/R CMD check %%{packname}

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/NEWS
%doc %{_datadir}/R/library/%{packname}/doc/
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/unitTests/
%{_datadir}/R/library/%{packname}/NEWS.Rd 
%{_datadir}/R/library/%{packname}/*.sh
%{_datadir}/R/library/%{packname}/snow/

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 31 2017 Tom Callaway <spot@fedoraproject.org> - 1.10.1-1
- initial package
